Bug 43899 - sdr need to be run from /usr/bin
sdr need to be run from /usr/bin
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: sdr (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-07 17:03 EDT by Douglas Kilpatrick
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-08 09:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Kilpatrick 2001-06-07 17:03:12 EDT
$ sdr
sdr:tcl_sdr couldn't stat "sdr": no such file or directory
couldn't stat "sdr": no such file or directory
    while executing
"file type $app_name"

But:

$ cd $(dirname $(which sdr) )
$ ./sdr
$

works fine.
Comment 1 Tim Powers 2001-06-07 17:20:25 EDT
Actually, it's not that complicated. 

Run it like so:

   /usr/bin/sdr

Tim
Comment 2 Douglas Kilpatrick 2001-06-07 17:31:31 EDT
that also works, no real surprise. (Ok, bug summary is wrong.  Real bug
remains.  "Stupid app does 'stat $0' and expects it to actually work."  I have
not had the courage to get the source and find out why it thinks it needs to
stat the program.)
Comment 3 Tim Powers 2001-06-08 09:31:43 EDT
It's definitely a bug. I don't dispute that. I just thought it was funny that in
your initial description of the problem you found a workaround using the "hard"
way ;)

In any case, sdr-3.0-4 fixes this problem. It should show up in rawhide soon.

Also, I updated rat as well. Yoou should see a new version of that in rawhide at
the same time.

Tim

Note You need to log in before you can comment on or make changes to this bug.